Subject: RE: bash fails to redirect inside script
From: John Buffington <[email-masked]>
To: "Tas van Ommen" <[email-masked]>
Cc: [email-masked]
Date: Fri, 19 May 2000 17:48:59 -0700

Might I suggest the use of a text editor that preserves the line end
convention that was found on the file when it was read?

http://www.textpad.com

Also allows "saving as" unix, PC, or Mac line end conventions.

--jbuff

At 09:52 AM 5/20/00 +1000, you wrote:
>Thanks Corinna, but this gives me problems.
>
>This was not a problem in b20.1  I am setting up machines for novice users
>to use the gmt package.  They need to be able to make simple modifications
>to bash scripts and will most likely use dos/windows editing tools that they
>are familiar with.  I do not want to impose upon them the requirement to do
>a dos2unix translation (after all cygwin is all about mixed environments).
>
>Is there any chance bash can be altered to accept \r\n lineendings like sh
>does.  If so, I would greatly appreciate someone building a bash.exe for me.
>
>If you have any other advice I would welcome it.  Also, do you have a
>compiled dos2unix or equivalent?
>
>Thanks,
>
>Tas
>
>
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]On
>Behalf Of Corinna Vinschen
>Sent: Friday, 19 May 2000 19:00
>To: Tas van Ommen
>Cc: [email-masked]
>Subject: Re: bash fails to redirect inside script
>
>
>Tas van Ommen wrote:
> >
> > I have just installed net version of cygwin.
> >
> > I have the following script
> > #!/bin/bash
> > echo "Hello" > x.x
> >
> > So I execute it:
> > BASH.EXE-2.03$ . temp.bash
> > : No such file or directory
> >
> > What is happening?  I have a /tmp directory.  I can do either of
> > sh temp.bash
> >
> > or type echo "Hello" > x.x manually without the error.
> >
> > Any advice?
>
>Your script has DOS line endings but the script is
>on a binary mounted file system. You should change
>the \r\n line endings to the U*X style \n and your
>script should work.
>
>--
>Corinna Vinschen
>Cygwin Developer
>Cygnus Solutions, a Red Hat company
>
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]